/**
 *
 * Openutils testing library (http://www.openmindlab.com/products/testing.html)
 *
 * Copyright(C) 2005-2013, Openmind S.r.l. http://www.openmindonline.it
 *
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * You may obtain a copy of the License at
 *
 * http://www.gnu.org/licenses/lgpl-2.1.html
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA
 */

package it.openutils.testing.dbunit;

import org.dbunit.ext.mssql.InsertIdentityOperation;
import org.dbunit.operation.DatabaseOperation;


/**
 * Extends the standard org.dbunit.ext.mssql.InsertIdentityOperation in order to be able to use this class directly in a
 * annotation. Wraps a <code>DatabaseOperation.CLEAN_INSERT</code> operation.
 * @see org.dbunit.ext.mssql.InsertIdentityOperation
 * @author fgiust
 * @version $Id: MsSqlIndentityCleanInsertOperation.java 4166 2012-12-23 14:07:23Z fgiust $
 */
public class MsSqlIndentityCleanInsertOperation extends InsertIdentityOperation
{

    public MsSqlIndentityCleanInsertOperation()
    {
        super(DatabaseOperation.CLEAN_INSERT);
    }

}
